body {
    margin: 0;
    font-family: 'Poppins', sans-serif;
    background-color: #f0fdf4;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
}

.game-container {
    text-align: center;
    width: 95%;
    max-width: 800px;
}

.header {
    background: white;
    padding: 19px;
    border-radius: 20px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);
    margin-bottom: 16px;
}

.score-board {
    font-size: 28px;
    font-weight: bold;
    color: #16a34a;
}

#game-area {
    width: 100%;
    height: 450px;
    background: #ffffff;
    border-radius: 25px;
    position: relative;
    border: 4px solid #bbf7d0;
    box-shadow: inset 0 0 20px rgba(0,0,0,0.02);
    cursor: pointer;
}

/* Gaya Asas Item */
.item {
    position: absolute;
    padding: 12px 18px;
    border-radius: 50px;
    font-weight: bold;
    color: white;
    user-select: none;
    cursor: pointer;
    transition: transform 0.1s ease;
    display: flex;
    align-items: center;
    gap: 5px;
}

.item:active { transform: scale(0.8); }

/* Warna Mengikut Kategori */
.zikir { background: #4caf50; border: 2px solid #2e7d32; }

.solat { background: #1b5e20; border: 2px solid #ffd700; }

.agama { background: blue; border: 3px solid blueviolet; }

.tuhan { background: tomato; border: 5px solid teal; }

.rare { 
    background: linear-gradient(135deg, #8b5cf6, #d946ef); 
    border: 2px solid #fff;
    box-shadow: 0 0 15px rgba(217, 70, 239, 0.5);
    animation: pulse 1.5s infinite;
}

@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.1); }
    100% { transform: scale(1); }
}

.legend {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

.tag {
    padding: 5px 10px;
    border-radius: 20px;
    font-size: 14px;
    color: white;
}

.item.agama { 
    background: gold !important; 
    border: 3px solid orange !important;
    color: black !important;
    font-weight: bold;
    box-shadow: 0 0 20px yellow;
}

.item.tuhan {
  background: thistle !important;
  border: 6px solid thistle !important;
  color: black !important;
  font-weight: bold;
  box-shadow: 0 0 30px tomato;
}